<?php
/**
 * The Header for our theme.
 * @package WordPress
 * @subpackage Aerial
 * @since 3.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php
//allows the theme to get info from the theme options page
global $options;
foreach ($options as $value) {
	if (isset($value['id']) && (get_option( $value['id'] ) === FALSE) ) {
    	$$value['id'] = $value['std'];
	} elseif (isset($value['id'])) { $$value['id'] = get_option( $value['id'] ); }
}
?>
<?php  // solves google duplicate content problem
		if ( ( is_single() || is_page() || is_home() ) && ( !is_paged() ) ) { ?>
			<meta name="googlebot" content="index,noarchive,follow,noodp" />
			<meta name="robots" content="all,index,follow" />
			<meta name="msnbot" content="all,index,follow" />
		<?php } else { ?>
			<meta name="googlebot" content="noindex,noarchive,follow,noodp" />
			<meta name="robots" content="noindex,follow" />
			<meta name="msnbot" content="noindex,follow" />
<?php }?>
	<title>
	<?php
	// Returns the title based on the type of page being viewed
		if ( is_single() ) {
			single_post_title(); echo '  &raquo;  '; bloginfo( 'name' );
		} elseif ( is_home() || is_front_page() ) {
			bloginfo( 'name' ); 
			if( get_bloginfo( 'description' ) ) 
				echo ' &raquo; ' ; bloginfo( 'description' ); 
			dd_the_page_number();
		} elseif ( is_page() ) {
			single_post_title( '' ); echo ' &raquo; '; bloginfo( 'name' );
		} elseif ( is_category() ) {
			wp_title( '' ); echo ' &raquo; ';	bloginfo( 'name' ); 
			if( get_bloginfo( 'description' ) ) 
				echo ' &raquo; ' ; bloginfo( 'description' );  
			dd_the_page_number();
		} elseif ( is_search() ) {
			printf( __( 'Search results for "%s"', 'aerial' ), get_search_query() ); dd_the_page_number(); echo ' &raquo; '; bloginfo( 'name' );
		} elseif ( is_404() ) {
			_e( 'Not Found', 'aerial' ); echo ' &raquo; '; bloginfo( 'name' );
		} else {
			wp_title( '' ); echo ' &raquo; '; bloginfo( 'name' ); dd_the_page_number();
		}
	?></title>
<meta name="description" content="
<?php
	// Returns the meta description based on the type of page being viewed
		if ( is_single() ) {
			single_post_title(); echo '  &raquo;  '; bloginfo( 'name' );
		} elseif ( is_home() || is_front_page() ) {
			bloginfo( 'name' ); 
			if( get_bloginfo( 'description' ) ) 
				echo ' &raquo; ' ; bloginfo( 'description' ); 
			dd_the_page_number();
		} elseif ( is_page() ) {
			single_post_title( '' ); echo ' &raquo; '; bloginfo( 'name' );
		} elseif ( is_category() ) {
			wp_title( '' ); echo ' &raquo; ';	bloginfo( 'name' ); 
			if( get_bloginfo( 'description' ) ) 
				echo ' &raquo; ' ; bloginfo( 'description' );  
			dd_the_page_number();
		} elseif ( is_search() ) {
			printf( __( 'Search results for "%s"', 'aerial' ), get_search_query() ); dd_the_page_number(); echo ' &raquo; '; bloginfo( 'name' );
		} elseif ( is_404() ) {
			_e( 'Not Found', 'aerial' ); echo ' &raquo; '; bloginfo( 'name' );
		} else {
			wp_title( '' ); echo ' &raquo; '; bloginfo( 'name' ); dd_the_page_number();
		}
	?>" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/lib/prettyPhoto/css/prettyPhoto.css" type="text/css" media="screen"/>
	<?php if (get_option('dd_alt_stylesheet')== true){ ?>
		<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/style.php" />
	<?php }  ?>
    	<?php if ($dd_favicon) { ?>
		<link rel="Shortcut Icon" href="<?php $dd = get_option('dd_favicon'); echo stripslashes($dd_favicon); ?>" type="image/x-icon" />
	<?php } else { ?>
		<link rel="Shortcut Icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" type="image/x-icon" />
	<?php } ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_enqueue_script('jquery');?>
	<?php wp_head(); ?>
	<?php if ( is_singular() && get_option('thread_comments') ) wp_enqueue_script( 'comment-reply' ); ?>
	<script src="<?php echo get_template_directory_uri(); ?>/lib/prettyPhoto/js/jquery.prettyPhoto.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/lib/admin/tabber.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery.easing.1.3.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/cufon_yui.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/Fertigo_Pro_400.font.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.kwicks-1.5.1.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/coin-slider.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.cycle.all.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/global.js"></script>
</head>
<body <?php body_class($class); ?>>
<div id="page">
	<div id="header">
      	<div id="logo">
        	<?php if ($dd_logo){ ?>
            <h1 style="display:none;"><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1>
            <a href="<?php echo home_url(); ?>/"><img src="<?php $ddlogo = get_option('dd_logo'); echo $ddlogo; ?>" alt="<?php bloginfo('name'); ?>" /></a>
        	<?php } else { ?>
            <h1><a href="<?php echo home_url(); ?>/"><?php bloginfo('name'); ?></a></h1>
        	<h2><?php bloginfo('description'); ?></h2>
        	<?php } ?>
      	</div><!-- #logo -->    
		<?php wp_nav_menu( array( 'sort_column' => 'menu_order', 'container_class' => 'menu-header', 'container_id' => 'nav' ) ); ?>
	</div><!-- #header -->
	<div id="container">
	<?php 
	if(is_front_page()) {
		if  (get_option('dd_show_sliding')== true)
			if(get_option('dd_sp') == "jQuery Cycle") { 
 				include (TEMPLATEPATH . '/includes/cycle.php'); 
				}
			elseif(get_option('dd_sp') == "jQuery Kwicks") { 
 				include (TEMPLATEPATH . '/includes/kwicks.php'); 
				}		
		 	else { 
 				include (TEMPLATEPATH . '/includes/coin.php'); 
			}
	}?>