<?php

if ( ! defined( 'ABSPATH' ) )
	die( "Can't load this file directly" );

class DDAddButton
{
	function __construct() {
		// init process for button control
		add_action( 'admin_init', array( $this, 'action_admin_init' ) );
		// Set path to tinymce.js
		$this->path = get_template_directory_uri() . '/lib/admin/';
		// Modify the version when tinyMCE plugins are changed.
		}
	
	function action_admin_init() {
		// only hook up these filters if we're in the admin panel, and the current user has permission
		// to edit posts and pages
   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	 // Add only in Rich Editor mode
   if ( get_user_option('rich_editing') == 'true') {

			add_filter( 'mce_buttons', array( $this, 'filter_mce_button' ) );
			add_filter( 'mce_external_plugins', array( $this, 'filter_mce_plugin' ) );
		}
	}
	
	function filter_mce_button( $buttons ) {
		// add a separation before our button, here our button's id is "dd_button"
		array_push( $buttons, '|', 'dd_button' );
		return $buttons;
	}
	
	function filter_mce_plugin( $plugins ) {
		// this plugin file will work the magic of our button
		$plugins['tinymce_button'] = $this->path .'tinymce.js';
		return $plugins;
	}
}

$tinymce_button = new DDAddButton();

// Shortcodes

function dd_checklist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="checklist">', do_shortcode($content));
	return $content;
}
add_shortcode('checklist', 'dd_checklist');


function dd_arrowlist( $atts, $content = null ) {
	$content = str_replace('<ul>', '<ul class="arrowlist">', do_shortcode($content));
	return $content;
}
add_shortcode('arrowlist', 'dd_arrowlist');

function dd_infobox( $atts, $content = null ) {
   return '<div class="infobox">' . do_shortcode($content) . '</div>';
}
add_shortcode('infobox', 'dd_infobox');

function dd_notebox( $atts, $content = null ) {
   return '<div class="notebox">' . do_shortcode($content) . '</div>';
}
add_shortcode('notebox', 'dd_notebox');

function dd_successbox( $atts, $content = null ) {
   return '<div class="successbox">' . do_shortcode($content) . '</div>';
}
add_shortcode('successbox', 'dd_successbox');

function dd_warningbox( $atts, $content = null ) {
   return '<div class="warningbox">' . do_shortcode($content) . '</div>';
}
add_shortcode('warningbox', 'dd_warningbox');

function dd_errorbox( $atts, $content = null ) {
   return '<div class="errorbox">' . do_shortcode($content) . '</div>';
}
add_shortcode('errorbox', 'dd_errorbox');

function dd_one_third( $atts, $content = null ) {
   return '<div class="smallbox">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_third', 'dd_one_third');


function dd_one_third_last( $atts, $content = null ) {
   return '<div class="smallbox last">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_third_last', 'dd_one_third_last');


function dd_two_third( $atts, $content = null ) {
   return '<div class="mediumbox">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_third', 'dd_two_third');

function dd_two_third_last( $atts, $content = null ) {
   return '<div class="mediumbox last">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('two_third_last', 'dd_two_third_last');


function dd_one_half( $atts, $content = null ) {
   return '<div class="half">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_half', 'dd_one_half');


function dd_one_half_last( $atts, $content = null ) {
   return '<div class="half last">' . do_shortcode($content) . '</div><div class="clearboth"></div>';
}
add_shortcode('one_half_last', 'dd_one_half_last');
?>