<?php
/*
Plugin Name: DD Page Widget
Plugin URI: http://www.divinedeveloper.com/
Description: This widget that can outputs single page with thumbnail and page excerpt on any widgetized area.
Author: Mladen Milentijevic	
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
add_action( 'widgets_init', create_function('', 'return register_widget("DD_Page_Widget");') );

class DD_Page_Widget extends WP_Widget {

// Widget construction
function DD_Page_Widget() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'dd_page_widget', 'description' => __('This widget outputs single page with thumbnail and page excerpt on any widgetized area.', 'aerial') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dd_page_widget' );

		/* Create the widget. */
		$this->WP_Widget( 'dd_page_widget', __('DD Page Widget', 'aerial'), $widget_ops, $control_ops );
	}

/**
 * Displays page widget on blog.
 */
function widget($args, $instance) {
	global $post;	
	extract( $args );
	
	if( !$instance["title"] ) {
		$page_name = get_page($instance['page_id']);
		$instance["title"] = $page_name->post_title;
	}
	
	$page_id = $instance['page_id'];		

	// Get array of post info.
	$page_posts = new WP_Query("page_id=" . $page_id);
	
	echo $before_widget;
	
	echo $before_title;
	
	// Widget title
		echo '<a href="' . get_page_link($instance['page_id']) . '">' . $instance["title"] . '</a>';
	
	echo $after_title;

	while ( $page_posts->have_posts() )
	{
		$page_posts->the_post();
	?>
		  
	<?php if ( function_exists( 'get_the_image' )&& $instance["thumb"] ) : ?>
		<?php get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => $instance["align"], 'width' => $instance["thumb_w"], 'height' => $instance["thumb_h"] ) ); ?>
 	<?php endif; ?>		
			
	<?php if ( $instance['excerpt'] ) : ?>
        <p><?php the_content_limit($instance["excerpt_length"]);  ?></p>
	<?php endif; ?>			

	<?php
	}
	
	
	echo $after_widget;
	
	$post = $post_old; // Restore the post object.
}

/**
 * Form processing... Dead simple.
 */
function update($new_instance, $old_instance) {

	return $new_instance;
}

/**
 * The configuration form.
 */
	
function form($instance) {
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				<?php _e( 'Title', 'aerial' ); ?>:
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			</label>
		</p>
		
	 	<p>
            <label><?php _e( 'Pages', 'aerial' ); ?>:
         	<select name="<?php echo $this->get_field_name('page_id'); ?>" id="<?php echo $this->get_field_id('page_id'); ?>">
<?php 		//Get list of pages as select options
			$pages = get_pages(); 
  			foreach ($pages as $page) {
  			$option = '<option value="'.$page->ID.'"';
			$option .= selected( $instance['page_id'], $page->ID  ).'">';
			$option .= $page->post_title;
			$option .= '</option>';
			echo $option;
        // echo '<option value="' . $page->ID . '"' . (($page_id == $page->ID) ? ' selected="selected"' : '') . '>' . $page->post_title . '</option>';
    	} ?>
   			</select>
            </label>
    	</p>
				
		<p>
			<label for="<?php echo $this->get_field_id("excerpt"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("excerpt"); ?>" name="<?php echo $this->get_field_name("excerpt"); ?>"<?php checked( (bool) $instance["excerpt"], true ); ?> />
				<?php _e( 'Show post excerpt', 'aerial' ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("excerpt_length"); ?>">
				<?php _e( 'Excerpt length (in characters):', 'aerial' ); ?>
			</label>
			<input style="text-align: center;" type="text" id="<?php echo $this->get_field_id("excerpt_length"); ?>" name="<?php echo $this->get_field_name("excerpt_length"); ?>" value="<?php echo $instance["excerpt_length"]; ?>" size="3" />
		</p>
		

		<p>
			<label for="<?php echo $this->get_field_id("thumb"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("thumb"); ?>" name="<?php echo $this->get_field_name("thumb"); ?>"<?php checked( (bool) $instance["thumb"], true ); ?> />
				<?php _e( 'Show post thumbnail', 'aerial'); ?>
			</label>
		</p>
        
		<p>
        <label for="<?php echo $this->get_field_id('align'); ?>"><?php _e('Align:', 'aerial'); ?></label>

		<select name="<?php echo $this->get_field_name('align'); ?>" id="<?php echo $this->get_field_id('align'); ?>">

			<option value="alignnone"<?php selected( $instance['align'], 'alignnone' ); ?>><?php _e('none', 'aerial'); ?></option>

			<option value="alignleft"<?php selected( $instance['align'], 'alignleft' ); ?>><?php _e('left', 'aerial'); ?></option>

			<option value="aligncenter"<?php selected( $instance['align'], 'aligncenter' ); ?>><?php _e('center', 'aerial'); ?></option>

			<option value="alignright"<?php selected( $instance['align'], 'alignright' ); ?>><?php _e('right', 'aerial'); ?></option>

		</select>
        </p>
        
        
        <p>
      	<label>
          <?php _e('Thumbnail dimensions', 'aerial'); ?>:<br />
          <label for="<?php echo $this->get_field_id("thumb_w"); ?>">
              W: <input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_w"); ?>" name="<?php echo $this->get_field_name("thumb_w"); ?>" value="<?php echo $instance["thumb_w"]; ?>" />
          </label>
          
          <label for="<?php echo $this->get_field_id("thumb_h"); ?>">
              H: <input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_h"); ?>" name="<?php echo $this->get_field_name("thumb_h"); ?>" value="<?php echo $instance["thumb_h"]; ?>" />
          </label>
      	</label>
		</p>

<?php

}

}
/*
Plugin Name: DD Posts
Plugin URI: http://www.divinedeveloper.com/
Description: A widget that can display posts from a specific category.
Author: Mladen Milentijevic	
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/

add_action( 'widgets_init', create_function('', 'return register_widget("DD_Posts");') );

class DD_Posts extends WP_Widget {

// Widget construction
function DD_Posts() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'dd_posts', 'description' => __('A widget that can display posts from a specific category.', 'aerial') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dd_posts' );

		/* Create the widget. */
		$this->WP_Widget( 'dd_posts', __('DD Posts', 'aerial'), $widget_ops, $control_ops );
	}

/**
 * Displays category posts widget on blog.
 */
function widget($args, $instance) {
	global $post;
	$post_old = $post; // Save the post object.
	
	extract( $args );
	
	
	// If not title, use the name of the category.
	if( !$instance["title"] ) {
		$category_info = get_category($instance["cat"]);
		$instance["title"] = $category_info->name;
	}
	?>

<?php
	// Get array of post info.
	$cat_posts = new WP_Query("showposts=" . $instance["num"] . "&cat=" . $instance["cat"]);
	
	echo $before_widget; 	
	// Widget title
	echo $before_title;
	if( $instance["title_link"] )
		echo '<a href="' . get_category_link($instance["cat"]) . '">' . $instance["title"] . '</a>';
	else
		echo $instance["title"];
	echo $after_title;
?>


<?php
	while ( $cat_posts->have_posts() )
	{
		$cat_posts->the_post();
	?>
		<div class="dd_post clearfix">
		  <?php
              if (
                  function_exists( 'get_the_image' )&&
                  $instance["thumb"] 
              ) :
          ?>
			<?php get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => $instance["align"], 'width' => $instance["thumb_w"], 'height' => $instance["thumb_h"] ) ); ?>
			<?php endif; ?>             
            
   <h3><a class="post-title" href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
   			
    <div class="dd_post_meta">		
	<?php if ( $instance['date'] ) : ?>
     	<?php the_time(__('d M Y')) ?> 
	<?php endif; ?>
        
	<?php if ( $instance['comment_num'] ) : ?>
    	<?php comments_popup_link(__('No Comments', 'aerial'), __('1 Comment', 'aerial'), __('% Comments', 'aerial'), '', __('Comments Closed', 'aerial') ); ?>  
    <?php endif; ?>
   </div>            
   
    	<?php if ( $instance['excerpt'] ) : ?>
        <p><?php the_content_limit($instance["excerpt_length"]);  ?>
		<a class="more-link" href="<?php the_permalink(); ?>"><?php _e('<span class="meta-nav">more</span>', 'aerial'); ?></a></p>
		<?php endif; ?>

		</div><!-- end dd_post -->
        	<?php } ?>

	<?php
	echo $after_widget;
 ?>
	<?php
	$post = $post_old; // Restore the post object.
}
/**
 * Form processing... Dead simple.
 */
function update($new_instance, $old_instance) {

	return $new_instance;
}

/**
 * The configuration form.
 */
function form($instance) {
?>
		<p>
			<label for="<?php echo $this->get_field_id("title"); ?>">
				<?php _e( 'Title', 'aerial' ); ?>:
				<input class="widefat" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" type="text" value="<?php echo esc_attr($instance["title"]); ?>" />
			</label>
		</p>
		
		<p>
			<label>
				<?php _e( 'Category', 'aerial' ); ?>:
				<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
				<?php _e('Number of posts to show', 'aerial'); ?>:
				<input style="text-align: center;" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" size='3' />
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("title_link"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("title_link"); ?>" name="<?php echo $this->get_field_name("title_link"); ?>"<?php checked( (bool) $instance["title_link"], true ); ?> />
				<?php _e( 'Make widget title link', 'aerial' ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("excerpt"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("excerpt"); ?>" name="<?php echo $this->get_field_name("excerpt"); ?>"<?php checked( (bool) $instance["excerpt"], true ); ?> />
				<?php _e( 'Show post excerpt', 'aerial' ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("excerpt_length"); ?>">
				<?php _e( 'Excerpt length (in characters):', 'aerial' ); ?>
			</label>
			<input style="text-align: center;" type="text" id="<?php echo $this->get_field_id("excerpt_length"); ?>" name="<?php echo $this->get_field_name("excerpt_length"); ?>" value="<?php echo $instance["excerpt_length"]; ?>" size="3" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("comment_num"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("comment_num"); ?>" name="<?php echo $this->get_field_name("comment_num"); ?>"<?php checked( (bool) $instance["comment_num"], true ); ?> />
				<?php _e( 'Show number of comments', 'aerial' ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("date"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("date"); ?>" name="<?php echo $this->get_field_name("date"); ?>"<?php checked( (bool) $instance["date"], true ); ?> />
				<?php _e( 'Show post date', 'aerial' ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("thumb"); ?>">
				<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id("thumb"); ?>" name="<?php echo $this->get_field_name("thumb"); ?>"<?php checked( (bool) $instance["thumb"], true ); ?> />
				<?php _e( 'Show post thumbnail', 'aerial' ); ?>
			</label>
		</p>
		
        <p>
        <label for="<?php echo $this->get_field_id('align'); ?>"><?php _e('Align:', 'aerial'); ?></label>

		<select name="<?php echo $this->get_field_name('align'); ?>" id="<?php echo $this->get_field_id('align'); ?>">

			<option value="alignnone"<?php selected( $instance['align'], 'alignnone' ); ?>><?php _e('none', 'aerial'); ?></option>

			<option value="alignleft"<?php selected( $instance['align'], 'alignleft' ); ?>><?php _e('left', 'aerial'); ?></option>

			<option value="aligncenter"<?php selected( $instance['align'], 'aligncenter' ); ?>><?php _e('center', 'aerial'); ?></option>

			<option value="alignright"<?php selected( $instance['align'], 'alignright' ); ?>><?php _e('right', 'aerial'); ?></option>

		</select>
        </p>
        
        <p>
			<label>
				<?php _e('Thumbnail dimensions', 'aerial'); ?>:<br />
				<label for="<?php echo $this->get_field_id("thumb_w"); ?>">
					W: <input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_w"); ?>" name="<?php echo $this->get_field_name("thumb_w"); ?>" value="<?php echo $instance["thumb_w"]; ?>" />
				</label>
				
				<label for="<?php echo $this->get_field_id("thumb_h"); ?>">
					H: <input class="widefat" style="width:40%;" type="text" id="<?php echo $this->get_field_id("thumb_h"); ?>" name="<?php echo $this->get_field_name("thumb_h"); ?>" value="<?php echo $instance["thumb_h"]; ?>" />
				</label>
			</label>
		</p>

<?php

}

}

/*
Plugin Name: DD Most Popular Posts
Description: Display unordered list of most popular posts on your site according to the number of comments. 
Author: DivineDeveloper
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
//'Most_Popular_Widget' is the widget class used below.
add_action( 'widgets_init', create_function('', 'return register_widget("DD_Most_Popular");') );

//Class 'Most_Popular_Widget' has four functions: constructor, display, update and form. 
//This ensures that all required widget functions are defined.
class DD_Most_Popular extends WP_Widget {

	// Widget construction
	function DD_Most_Popular() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'dd_most_popular', 'description' => __('Display unordered list of most popular posts on your site according to the number of comments.', 'dd_most_popular') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dd_most_popular' );

		/* Create the widget. */
		$this->WP_Widget( 'dd_most_popular', __('DD Most Popular Posts', 'dd_most_popular'), $widget_ops, $control_ops );
	}

	//Displaying widget
	function widget( $args, $instance ) {
    	global $post;
		extract( $args );
		// Variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
    	$count = ctype_digit($instance['count'] )? $instance['count'] : 5;

		// Before widget (defined by themes).
		echo $before_widget;
		// Display the widget title if one was input (before and after defined by themes).
		if ( $title )
			echo $before_title . $title . $after_title . '<ul>';
		// Display 
		$most_popular = get_posts('order=DESC&orderby=comment_count&numberposts=' .$count.''); 
 		foreach($most_popular as $post) :
   		setup_postdata($post);?>
    	<li>
        	<?php get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'thumbnail', 'image_class' => 'alignleft', 'width' => '20', 'height' => '20' ) ); ?>
        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
  		<?php endforeach; 
 

		/* After widget (defined by themes). */
		echo '</ul>' . $after_widget;
	}

	 //Update the widget settings.
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and count (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['count'] = strip_tags( $new_instance['count'] );

		return $instance;
	}

	 // Displays the widget settings controls on the widget panel.
	 // Make use of the get_field_id() and get_field_name() function
	function form( $instance ) {

		// Set up some default widget settings.
		$defaults = array( 
						  'title' => __('Most Popular', 'dd_most_popular'), 
						  'count' => __('10', 'dd_most_popular'),

						  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'dd_most_popular'); ?></label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
		<!-- Number of comments: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('Number of posts to display:', 'dd_most_popular'); ?></label>
		<input id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo $instance['count']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}

?>
<?php
/*
Plugin Name: DD Social Networks
Description:  Display icons for your social network sites that linkback to your social networking profiles.
Author: DivineDeveloper
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
//'SocialNetworks' is the widget class used below.
add_action( 'widgets_init', create_function('', 'return register_widget("DDSocialNetworks");') );

//Class 'DDSocialNetworks' has four functions: constructor, display, update and form. 
//This ensures that all required widget functions are defined.
class DDSocialNetworks extends WP_Widget {

	// Widget construction
	function DDSocialNetworks() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'dd_social_networks', 'description' => __('Display icons for your social network sites that linkback to your social networking profiles.', 'dd_social_networks') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dd_social_networks' );

		/* Create the widget. */
		$this->WP_Widget( 'dd_social_networks', __('DD Social Networks', 'dd_social_networks'), $widget_ops, $control_ops );
	}

	//Displaying widget
	function widget( $args, $instance ) {
		extract( $args );
		// Variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );

		// Before widget (defined by themes).
		echo $before_widget;
		// Display the widget title if one was input (before and after defined by themes).
		if ( $title )
			echo $before_title . $title . $after_title ;
		// Display 
		echo "<div class='dd_social_networks'>"; 

 		$i=0; foreach ($instance as $set => $key) {	
			
				if ($set != 'title' && $key != '') {
				switch ($set) {						
						case "twitter": $small = "Follow me!"; $name="Twitter"; break;
						case "facebook": $small = "find me"; $name="Facebook"; break;
						case "flickr" : $small = "My Photos"; $name="Flickr"; break;
						case "digg": $small = "my diggs"; $name="Digg"; break;
						case "wordpress": $small = "WordPress"; $name="WordPress"; break;
						case "linkedin": $small = "Linked In"; $name="LinkedIn"; break;
						case "deviantart": $small = "Deviant Art"; $name="DeviantArt"; break;
						case "you_tube": $small = "You Tube"; $name="You Tube"; break;
}
				echo '<a href="'.$key.'" title="'.$name.'"><img src="'.get_bloginfo('template_url').'/images/'.$set.'.png" width="32" alt="'.$small.'" height="32" /></a>';
				}
			} 
			
		echo "</div>"; 
	
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	 //Update the widget settings.
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags  (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['twitter'] = strip_tags($new_instance['twitter'] );
		$instance['facebook'] = strip_tags($new_instance['facebook'] );
		$instance['flickr'] = strip_tags($new_instance['flickr'] );
		$instance['digg'] = strip_tags($new_instance['digg'] );
		$instance['wordpress'] = strip_tags($new_instance['wordpress'] );
		$instance['linkedin'] = strip_tags($new_instance['linkedin'] );
		$instance['deviantart'] = strip_tags($new_instance['deviantart'] );
		$instance['you_tube'] = strip_tags($new_instance['you_tube'] );
		
		return $instance;
	}

	 // Displays the widget settings controls on the widget panel.
	 // Make use of the get_field_id() and get_field_name() function
	function form( $instance ) {

		// Set up some default widget settings.
		$defaults = array( 
						  'title' => __('Social Networks!', 'dd_social_networks'), 

						  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'recent_comments'); ?></label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Twitter Profile::', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo $instance['twitter']; ?>" style="width:100%;" />
		</p>
		<p>
		<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e('Facebook Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo $instance['facebook']; ?>" style="width:100%;" />
		</p>		
        <p>
		<label for="<?php echo $this->get_field_id( 'flickr' ); ?>"><?php _e('Flickr Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'flickr' ); ?>" name="<?php echo $this->get_field_name( 'flickr' ); ?>" type="text" value="<?php echo $instance['flickr']; ?>" style="width:100%;" />
		</p>		
        <p>
		<label for="<?php echo $this->get_field_id( 'digg' ); ?>"><?php _e('Digg Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'digg' ); ?>" name="<?php echo $this->get_field_name( 'digg' ); ?>" type="text" value="<?php echo $instance['digg']; ?>" style="width:100%;" />
		</p>
       	<p>
		<label for="<?php echo $this->get_field_id( 'wordpress' ); ?>"><?php _e('WordPress Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'wordpress' ); ?>" name="<?php echo $this->get_field_name( 'wordpress' ); ?>" type="text" value="<?php echo $instance['wordpress']; ?>" style="width:100%;" />
		</p>
       	<p>
		<label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php _e('LinkedIn Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" type="text" value="<?php echo $instance['linkedin']; ?>" style="width:100%;" />
		</p>
        <p>
		<label for="<?php echo $this->get_field_id( 'deviantart' ); ?>"><?php _e('DeviantArt Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'deviantart' ); ?>" name="<?php echo $this->get_field_name( 'deviantart' ); ?>" type="text" value="<?php echo $instance['deviantart']; ?>" style="width:100%;" />
		</p>
        <p>
		<label for="<?php echo $this->get_field_id( 'you_tube' ); ?>"><?php _e('You Tube Profile:', 'dd_social_networks'); ?></label>
		<input id="<?php echo $this->get_field_id( 'you_tube' ); ?>" name="<?php echo $this->get_field_name( 'you_tube' ); ?>" type="text" value="<?php echo $instance['you_tube']; ?>" style="width:100%;" />
		</p>
	<?php
	}
}

?>
<?php
/*
Plugin Name: DD Recent Comments
Description: Displays recent comments on your site. 
Author: DivineDeveloper
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
//'DD_Recent_Comments' is the widget class used below.
add_action( 'widgets_init', create_function('', 'return register_widget("DD_Recent_Comments");') );

//Class 'Most_Popular_Widget' has four functions: constructor, display, update and form. 
//This ensures that all required widget functions are defined.
class DD_Recent_Comments extends WP_Widget {

	// Widget construction
	function DD_Recent_Comments() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'dd_recent_comments', 'description' => __('Displays recent comments on your site.', 'dd_recent_comments') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dd_recent_comments' );

		/* Create the widget. */
		$this->WP_Widget( 'dd_recent_comments', __('DD Recent Comments', 'dd_recent_comments'), $widget_ops, $control_ops );
	}

	//Displaying widget
	function widget( $args, $instance ) {
		extract( $args );
		// Variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
    	$count = ctype_digit($instance['count'] )? $instance['count'] : 5;

		// Before widget (defined by themes).
		echo $before_widget;
		// Display the widget title if one was input (before and after defined by themes).
		if ( $title )
			echo $before_title . $title . $after_title . '<ul>';
		// Display 
$comments = get_comments('number=15&status=approve'); 
	$true_comment_count = 0; 
	foreach($comments as $comment) : 
       	$comment_type = get_comment_type(); 
       	if($comment_type == 'comment') { 
       	$true_comment_count = $true_comment_count +1; 
       	$comm_title = get_the_title($comment->comment_post_ID);
       	$comm_link = get_comment_link($comment->comment_ID);
       	$comm_comm_temp = get_comment($comment->comment_ID,ARRAY_A);
       	$comm_content = $comm_comm_temp['comment_content']; 

?>
      <li>
	  <a href="<?php echo($comm_link)?>" title="<?php comment_excerpt(); ?>"><?php echo($comment->comment_author)?>:  <?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, 35)); ?>... 
      </a> </li>
      <?php }  if($true_comment_count == $count) {break;} 
	  endforeach;
		/* After widget (defined by themes). */
		echo '</ul>' . $after_widget;
	}

	 //Update the widget settings.
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and count (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['count'] = strip_tags( $new_instance['count'] );

		return $instance;
	}

	 // Displays the widget settings controls on the widget panel.
	 // Make use of the get_field_id() and get_field_name() function
	function form( $instance ) {

		// Set up some default widget settings.
		$defaults = array( 
						  'title' => __('Recent Comments', 'recent_comments'), 
						  'count' => __('10', 'recent_comments'),

						  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'recent_comments'); ?></label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
		<!-- Number of comments: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('Number of comments to display:', 'recent_comments'); ?></label>
		<input id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" type="text" value="<?php echo $instance['count']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}

?>
<?php
/*
Plugin Name: DD Subscription
Description: A widget to display Feedburner E-mail and RSS subscription options
Author: Mladen Milentijevic
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
//'DDSubscription' is the widget class used below.
add_action( 'widgets_init', create_function('', 'return register_widget("DDSubscription");') );

//Class 'DDSubscription' has four functions: constructor, display, update and form. 
//This ensures that all required widget functions are defined.
class DDSubscription extends WP_Widget {

	// Widget construction
	function DDSubscription() {
		// Widget settings. */
		$widget_ops = array( 'classname' => 'subscription', 'description' => __('A widget to display Feedburner E-mail and RSS subscription options.', 'subscription') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'subscription-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'subscription-widget', __('DD Subscription', 'dd_subscription'), $widget_ops, $control_ops );
	}

	//Displaying widget
	function widget( $args, $instance ) {
		extract( $args );
		// Variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$emaildesc = $instance['emaildesc'];
		$fb_user = $instance['fb_user'];
		$feeddesc = $instance['feeddesc'];
		$entry_title = apply_filters('widget_entry_title', $instance['entry_title'] );
		$comments_title = apply_filters('widget_comments_title', $instance['comments_title']);		
		// Before widget (defined by themes).
		echo $before_widget;
		// Display the widget title if one was input (before and after defined by themes).
		if ( $title )
			echo $before_title . $title . $after_title;
		// Display 
		if ( $emaildesc )
			echo '<span class="emaildesc">' . $emaildesc. '</span>';
		// Display 
		if ( $fb_user )?>
 	<div id="subscribe">



		<form id="subscribeform" action="http://feedburner.google.com/fb/a/mailverify" method="post" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $fb_user ; ?>' + encodeURI(document.getElementById('fbemail').value), 'fbemail', 'scrollbars=yes,width=550,height=520');return true">

<p>

    	<input type="text" name="fbemail" id="fbemail" onfocus="if (this.value == '<?php _e('enter your email...') ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e('enter your email...') ?>';}"/>
    	<input type="hidden" value="<?php echo $fb_user ; ?>" name="uri"/>
		<input type="hidden" value="<?php bloginfo('name'); ?>" name="title"/>
    	<input type="hidden" name="loc" value="<?php bloginfo('language'); ?>"/>
 		</p></form>
	</div>
<?php	
		// Display 
		if ( $feeddesc )
		echo '<span>' . $feeddesc. '</span>';		
		// Display 
		if ( $entry_title )
		echo '  <p><a href="' . get_bloginfo('rss2_url') . '" rel="nofollow" title="' . $entry_title . '" class="feedlink floatleft">'. $entry_title . '</a>';
		// Display 
		if ( $comments_title )
		echo '<a href="' . get_bloginfo('comments_rss2_url') . '" rel="nofollow" title="' . $comments_title . '" class="feedcomments floatright">' . $comments_title . '</a></p>';
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	 //Update the widget settings.
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove emaildesc (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['emaildesc'] = strip_tags( $new_instance['emaildesc'] );
		$instance['fb_user'] = strip_tags( $new_instance['fb_user'] );
		$instance['feeddesc'] = strip_tags( $new_instance['feeddesc'] );
		$instance['entry_title'] = strip_tags( $new_instance['entry_title'] );
		$instance['comments_title'] = strip_tags( $new_instance['comments_title'] );

		return $instance;
	}

	 // Displays the widget settings controls on the widget panel.
	 // Make use of the get_field_id() and get_field_name() function
	function form( $instance ) {

		// Set up some default widget settings.
		$defaults = array( 
						  'title' => __('Stay up to date!', 'subscription'), 
						  'emaildesc' => __('Subscribe by email.', 'subscription'),
						  'fb_user' => __('USERNAME', 'subscription'), 
						  'feeddesc' => __('Subscribe by RSS.', 'subscription'),
						  'entry_title' => __('RSS Feed', 'subscription'),
						  'comments_title' => __('Comments Feed', 'subscription'), 
						  );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'subscription'); ?></label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
		<!-- Subscribe by email text: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'emaildesc' ); ?>"><?php _e('Subscribe by email text:', 'subscription'); ?></label>
		<input id="<?php echo $this->get_field_id( 'emaildesc' ); ?>" name="<?php echo $this->get_field_name( 'emaildesc' ); ?>" type="text" value="<?php echo $instance['emaildesc']; ?>" style="width:100%;" />
		</p>
		<!-- FeedBurner Username: Text Input -->
		<p><label for="<?php echo $this->get_field_id('fb_user'); ?>"><?php _e('FeedBurner Username:', 'subscription'); ?> <input id="<?php echo $this->get_field_id('fb_user'); ?>" name="<?php echo $this->get_field_name('fb_user'); ?>" type="text" value="<?php echo $instance['fb_user']; ?>" /></label><small><em>(http://feeds.feedburner.com/USERNAME)</em></small></p>
		<!-- Subscribe through a RSS: text: Text Input -->
		<p>
		<label for="<?php echo $this->get_field_id( 'feeddesc' ); ?>"><?php _e('Subscribe through a RSS: text:', 'subscription'); ?></label>
		<input id="<?php echo $this->get_field_id( 'feeddesc' ); ?>" name="<?php echo $this->get_field_name( 'feeddesc' ); ?>" type="text" value="<?php echo $instance['feeddesc']; ?>" style="width:100%;" />
		</p>       
        <!-- Title for entry feed: Text Input -->
		<p><label for="<?php echo $this->get_field_id('entry_title'); ?>"><?php _e('Title for entry feed:', 'subscription'); ?> <input id="<?php echo $this->get_field_id('entry_title'); ?>" name="<?php echo $this->get_field_name('entry_title'); ?>" type="text" value="<?php echo $instance['entry_title']; ?>" /></label></p>
		<!-- Title for comments feed: Text Input -->
		<p><label for="<?php echo $this->get_field_id('comments_title'); ?>"><?php _e('Title for comments feed:', 'subscription'); ?> <input id="<?php echo $this->get_field_id('comments_title'); ?>" name="<?php echo $this->get_field_name('comments_title'); ?>" type="text" value="<?php echo $instance['comments_title']; ?>" /></label></p>
	<?php
	}
}

/*
Plugin Name: DD Flickr
Description: A widget which displays Flickr photos.
Author: Mladen Milentijevic
Version: 0.1
Author URI: http://www.divinedeveloper.com/
*/
/* Add our function to the widgets_init hook. */

add_action( 'widgets_init', create_function('', 'return register_widget("DDFlickr");') );


class DDFlickr extends WP_Widget {
function DDFlickr() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'DDFlickr', 'description' => __( ' A widget which will display Flickr photos.', 'aerial') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 500,  'id_base' => 'ddflickr' );

		/* Create the widget. */
		$this->WP_Widget( 'ddflickr', 'DD Flickr', $widget_ops, $control_ops );
	}
	
	
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
$title = apply_filters('widget_title', $instance['title'] );
$flickr_gallery_source = $instance['flickr_gallery_source'];
$flickr_gallery_user_id = $instance['flickr_gallery_user_id'];
$flickr_gallery_group_id = $instance['flickr_gallery_group_id'];
$flickr_gallery_group_name = $instance['flickr_gallery_group_name'];
$flickr_gallery_count = $instance['flickr_gallery_count'];
$flickr_gallery_display = $instance['flickr_gallery_display'];
$flickr_gallery_size = $instance['flickr_gallery_size'];
$flickr_gallery_use_tag = $instance['flickr_gallery_use_tag'];
$flickr_gallery_tag = $instance['flickr_gallery_tag'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
if ($flickr_gallery_size=="0"){
	$flickr_gallery_size='s';
	} else
if ($flickr_gallery_size=="1"){
	$flickr_gallery_size='t';
	} else
if ($flickr_gallery_size=="2"){
	$flickr_gallery_size='m';
	} 
if ($flickr_gallery_source=="0"){
	$router='source=user_tag&user='.$flickr_gallery_user_id.'';
}
else
if ($flickr_gallery_source=="2"){
	$router='source=all_tag';
}
else
if ($flickr_gallery_source=="1"){
	$router='context=in%2F'.$flickr_gallery_group_name.'%2F&source=group_tag&group='.$flickr_gallery_group_id.'';
}
if ($flickr_gallery_display=='0'){
$display='latest';
}
else
if ($flickr_gallery_display=='1'){
$display='random';
}
else
if ($flickr_gallery_display=='2'){
$display='popular';
}


if ($flickr_gallery_use_tag=='Yes'){
$tagged='&tag='.$flickr_gallery_tag.'';
}
$url = 'http://www.flickr.com/badge_code_v2.gne?count='.$flickr_gallery_count.'&display='.$display.'&size='.$flickr_gallery_size.'&layout=x&'.$router.''.$tagged.'';


echo '<div id="flickr">';
					$html = file_get_contents($url);
					preg_match_all("/<div.*div>/", $html, $matches); 
						foreach($matches[0] as $div) { 
					  	echo str_replace("></a>", "/></a>", $div);
						}
echo '</div><!--simple flickr photos ends-->';
		/* After widget (defined by themes). */
		echo $after_widget;
	}
	
	
		function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
$instance['title'] = strip_tags( $new_instance['title'] );
$instance['flickr_gallery_source'] = strip_tags( $new_instance['flickr_gallery_source'] );
$instance['flickr_gallery_user_id'] = strip_tags( $new_instance['flickr_gallery_user_id'] );
$instance['flickr_gallery_group_id'] = strip_tags( $new_instance['flickr_gallery_group_id'] );
$instance['flickr_gallery_group_name'] = strip_tags( $new_instance['flickr_gallery_group_name'] );
$instance['flickr_gallery_count'] = strip_tags( $new_instance['flickr_gallery_count'] );
$instance['flickr_gallery_display'] = strip_tags( $new_instance['flickr_gallery_display'] );
$instance['flickr_gallery_size'] = strip_tags( $new_instance['flickr_gallery_size'] );
$instance['flickr_gallery_use_tag'] = strip_tags( $new_instance['flickr_gallery_use_tag'] );
$instance['flickr_gallery_tag'] = strip_tags($new_instance['flickr_gallery_tag']);
		return $instance;
	}
	
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Simple Flickr Photos', 'flickr_gallery_source' => '2', 'flickr_gallery_tag' => 'nature', 'flickr_gallery_count' => '6','flickr_gallery_display'=>'2','flickr_gallery_size'=>'0','flickr_gallery_use_tag'=>'Yes' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'flickr_gallery_source' ); ?>"><?php _e('Whose photos to show:', 'aerial'); ?></label>
			<select name="<?php echo $this->get_field_name( 'flickr_gallery_source' ); ?>" id="<?php echo $this->get_field_id( 'flickr_gallery_source' ); ?>" class="widefat">
				<option value="0" <?php if ($instance ['flickr_gallery_source'] == '0') echo 'selected'; ?>><?php _e('User', 'aerial'); ?></option>
				<option value="1" <?php if ($instance ['flickr_gallery_source'] == '1') echo 'selected'; ?>><?php _e('Group', 'aerial'); ?></option>
				<option value="2" <?php if ($instance ['flickr_gallery_source'] == '2') echo 'selected'; ?>><?php _e('Public', 'aerial'); ?></option>
			</select>
		</p>
<p><?php _e('Fill the blanks below according to whose photos you want to show.Use', 'aerial'); ?> <a href="http://idgettr.com/" target="_blank">idGettr</a> <?php _e('to find the Flickr IDs.', 'aerial'); ?></p>
<p>
<label for="<?php echo $this->get_field_id( 'flickr_gallery_user_id' ); ?>"><?php _e('Flickr User ID:', 'aerial'); ?></label>
<input id="<?php echo $this->get_field_id( 'flickr_gallery_user_id' ); ?>" name="<?php echo $this->get_field_name( 'flickr_gallery_user_id' ); ?>" value="<?php echo $instance['flickr_gallery_user_id']; ?>" style="width:100%;" />
</p>
<p><?php _e('Group ID and group name has to be filled for group photos.Get the group name from the group URL - e.g. "nature" for "http://www.flickr.com/groups/nature"', 'aerial'); ?></p>
<p>
<label for="<?php echo $this->get_field_id( 'flickr_gallery_group_name' ); ?>"><?php _e('Flickr Group Name:', 'aerial'); ?></label>
<input id="<?php echo $this->get_field_id( 'flickr_gallery_group_name' ); ?>" name="<?php echo $this->get_field_name( 'flickr_gallery_group_name' ); ?>" value="<?php echo $instance['flickr_gallery_group_name']; ?>" style="width:100%;" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'flickr_gallery_group_id' ); ?>"><?php _e('Flickr Group ID:', 'aerial'); ?></label>
<input id="<?php echo $this->get_field_id( 'flickr_gallery_group_id' ); ?>" name="<?php echo $this->get_field_name( 'flickr_gallery_group_id' ); ?>" value="<?php echo $instance['flickr_gallery_group_id']; ?>" style="width:100%;" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'flickr_gallery_count' ); ?>"><?php _e('How many photos (max 10):', 'aerial'); ?></label>
<input id="<?php echo $this->get_field_id( 'flickr_gallery_count' ); ?>" name="<?php echo $this->get_field_name( 'flickr_gallery_count' ); ?>" value="<?php echo $instance['flickr_gallery_count']; ?>" style="width:100%;" />
</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'flickr_gallery_display' ); ?>"><?php _e('Which photos to show:', 'aerial'); ?></label>
			<select name="<?php echo $this->get_field_name( 'flickr_gallery_display' ); ?>" id="<?php echo $this->get_field_id( 'flickr_gallery_display' ); ?>" class="widefat">
				<option value="0" <?php if ($instance ['flickr_gallery_display'] == '0') echo 'selected'; ?> ><?php _e('Latest', 'aerial'); ?></option>
				<option value="1" <?php if ($instance ['flickr_gallery_display'] == '1') echo 'selected'; ?> ><?php _e('Random', 'aerial'); ?></option>
				<option value="2" <?php if ($instance ['flickr_gallery_display'] == '2') echo 'selected'; ?> ><?php _e('Popular', 'aerial'); ?></option>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'flickr_gallery_size' ); ?>"><?php _e('Photo size:', 'aerial'); ?></label>
			<select name="<?php echo $this->get_field_name( 'flickr_gallery_size' ); ?>" id="<?php echo $this->get_field_id( 'flickr_gallery_size' ); ?>" class="widefat">
				<option value="0" <?php if ($instance ['flickr_gallery_size'] == '0') echo 'selected'; ?> >Square</option>
				<option value="1" <?php if ($instance ['flickr_gallery_size'] == '1') echo 'selected'; ?>>Thumbnail</option>
				<option value="2" <?php if ($instance ['flickr_gallery_size'] == '2') echo 'selected'; ?>>Medium</option>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'flickr_gallery_use_tag' ); ?>"><?php _e('Do you want to use tag function:', 'aerial'); ?></label>
			<select name="<?php echo $this->get_field_name( 'flickr_gallery_use_tag' ); ?>" id="<?php echo $this->get_field_id( 'flickr_gallery_use_tag' ); ?>" class="widefat">
				<option value="Yes" <?php if ($instance ['flickr_gallery_use_tag'] == 'Yes') echo 'selected'; ?> >Yes</option>
				<option value="No" <?php if ($instance ['flickr_gallery_use_tag'] == 'No') echo 'selected'; ?>>No</option>
			</select>
			</p>
<p>
<label for="<?php echo $this->get_field_id( 'flickr_gallery_tag' ); ?>"><?php _e('Tag:', 'aerial'); ?></label>
<input id="<?php echo $this->get_field_id( 'flickr_gallery_tag' ); ?>" name="<?php echo $this->get_field_name( 'flickr_gallery_tag' ); ?>" value="<?php echo $instance['flickr_gallery_tag']; ?>" style="width:100%;" />
</p>
<?php
	}
}

?>