<?php
/**
 * The loop that displays posts
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * @package WordPress
 * @subpackage Aerial
 * @since 3.0.0
 */
?>

<?php /* If there are no posts to display, such as an empty archive page */ ?>
<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="post_title"><?php _e( 'Not Found', 'aerial' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested Archive. Perhaps searching will help find a related post.', 'aerial' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php endif; ?>

<?php /* Start the Loop */ ?>
<?php while ( have_posts() ) : the_post(); ?>

<?php /* How to display all other posts */ ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		<div class="post_header">
        <h2 class="post_title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'aerial' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

	<div class="entry_meta">
				<?php
					printf( __( '<span class="meta-prep meta-prep-author">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s">%6$s</a></span> ', 'aerial' ),
						get_permalink(),
						esc_attr( get_the_time() ),
						get_the_date(),
						get_author_posts_url( get_the_author_meta( 'ID' ) ),
						sprintf( esc_attr__( 'View all posts by %s', 'aerial' ), get_the_author() ),
						get_the_author()
					);
				?> 
                <span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'aerial' ), __( '1 Comment', 'aerial' ), __( '% Comments', 'aerial' ) ); ?></span> 
     	</div><!-- .entry-meta -->   
	</div><!-- .post_header -->


<div class="entry_content">
	<?php if  (get_option('dd_thumbs')== 'Disable') { 
		} 
		else { // all images should be hosted on a site becuse of timthumb
  	$fptwight = get_option('dd_fptwight'); 
	$fptheight = get_option('dd_fptheight'); 
	$fptalign = get_option('dd_fptalign'); 
              if ( function_exists( 'get_the_image' ) ) {
             get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => $fptalign, 'width' => $fptwight, 'height' => $fptheight ) ); }
     	} ?>
 	<?php if  (get_option('dd_excerpts')== 'Disable') { 
		the_content(__( '<span class="meta-nav">More Details &raquo;</span>', 'aerial' ) );  
		} 
		else { 
	if(!empty($post->post_excerpt)) {
     //This post have an excerpt, let's display it
     	the_excerpt();?>
 		
<?php } else { ?>
 		<p><?php the_content_limit(350);  ?><br />
		<a class="more-link" href="<?php the_permalink(); ?>"><?php _e('<span class="meta-nav">More Details &raquo;</span>'); ?></a></p>
<?php } }?>	
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'aerial' ), 'after' => '</div>' ) ); ?>
			</div><!-- .entry-content -->

</div><!-- #post-<?php the_ID(); ?> -->

		<?php comments_template( '', true ); ?>

<?php endwhile; ?>

<?php if  (get_option('dd_pnav')== true){ ?>
	<?php if (  $wp_query->max_num_pages > 1 ) { ?>
            <div id="nav-below" class="navigation">
                <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Older posts', 'aerial' ) ); ?></div>
                <div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&raquo;</span>', 'aerial' ) ); ?></div>
            </div><!-- #nav-below -->		
<?php }} else { // Otherwise, use  pagenavi ?>
	<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } // if PageNavi is activated Use PageNavi ?>
<?php }// End if-else statement ?>