<?php
/**
 * The Template used to display all single posts
 *
 * @package WordPress
 * @subpackage Aerial
 * @since 3.0.0
 */
?>
<?php get_header(); ?>
		<div id="content">
<?php /* Start the Loop */ ?>
<?php while ( have_posts() ) : the_post(); ?>

		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="post_header">
        <h1 class="post_title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'aerial' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

	<div class="entry_meta">
				<?php
					printf( __( '<span class="meta-prep meta-prep-author">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a> <span class="meta-sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s">%6$s</a></span> ', 'aerial' ),
						get_permalink(),
						esc_attr( get_the_time() ),
						get_the_date(),
						get_author_posts_url( get_the_author_meta( 'ID' ) ),
						sprintf( esc_attr__( 'View all posts by %s', 'aerial' ), get_the_author() ),
						get_the_author()
					);
				?> 
                <span class="comments-link"><?php comments_number( __( 'Leave a comment', 'aerial' ), __( '1 Comment', 'aerial' ), __( '% Comments', 'aerial' ) ); ?></span> 
     	</div><!-- .entry-meta -->   
	</div><!-- .post_header -->


<div class="entry_content">
	<?php if  (get_option('dd_thumbs')== 'Disable') { 
		} 
		else { // all images should be hosted on a site becuse of timthumb
  	$fptwight = get_option('dd_fptwight'); 
	$fptheight = get_option('dd_fptheight'); 
	$fptalign = get_option('dd_fptalign'); 
              if ( function_exists( 'get_the_image' ) ) {
             get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => $fptalign, 'width' => $fptwight, 'height' => $fptheight ) ); }
     	} ?>
 	<?php  the_content(__( '<span class="meta-nav">More Details &raquo;</span>', 'aerial' ) );  
			wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'aerial' ), 'after' => '</div>' ) ); ?>
			</div><!-- .entry-content -->
		<div class="entry_meta">
					<?php
						$tag_list = get_the_tag_list('', ', ');
						if ( '' != $tag_list ) {
							$utility_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'aerial' );
						} else {
							$utility_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'aerial' );
						}
						printf(
							$utility_text,
							get_the_category_list( ', ' ),
							$tag_list,
							get_permalink(),
							the_title_attribute( 'echo=0' )
						);
					?>
 				<?php edit_post_link( __( 'Edit', 'aerial' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
    	</div><!-- .entry-meta --> 
		</div><!-- #post-<?php the_ID(); ?> -->

		<?php comments_template( '', true ); ?>

<?php endwhile; ?>
		</div><!-- #content -->
		<?php get_sidebar(); ?>
	</div><!-- #container -->
<?php get_footer(); ?>
