<?php
/*
Template Name: Contact Form
*/
?>

<?php 
$ddmailto = get_option('dd_cpmail');
$blog_title = get_bloginfo('name');
//If the form is submitted
if(isset($_POST['submitted'])) {

	//Check to see if the honeypot captcha field was filled in
	if(trim($_POST['checking']) !== '') {
		$captchaError = 'You must leave this field empty.';
		$hasError = true;
	} 
	
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError = __('You forgot to enter your name.', 'aerial');
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
		
		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = __( 'You forgot to enter your email address.', 'aerial');
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = __( 'You entered an invalid email address.', 'aerial');
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}

		//Check to make sure that the subject field is not empty
		if(trim($_POST['subject']) === '') {
			$subjectError = __( 'You forgot to enter subject.', 'aerial');
			$hasError = true;
		} else {
			$subject = trim($_POST['subject']);
		}
			
		//Check to make sure comments were entered	
		if(trim($_POST['comments']) === '') {
			$commentError = __( 'You forgot to enter your comments.', 'aerial');
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}

		//Check to see if the honeypot captcha field was filled in
		if(trim($_POST['checking']) !== '') {
			$captchaError = __( 'You must leave this field empty.', 'aerial');
			$hasError = true;
		} 
			
		//If there is no error, send the email
		if(!isset($hasError)) {

			$emailTo = $ddmailto;
			$subject =  $blog_title .' - '.$subject;
			$sendCopy = trim($_POST['sendCopy']);
			$body = "Name: $name \n\nSubject: $subject \n\nComments: $comments";
			$headers = 'From:' .$blog_title. '<'.$email.'>' . "\r\n" . 'Reply-To: ' . $email;
			
			mail($emailTo, $subject, $body, $headers);


			if($sendCopy == true) {
				$subject = $subject;
				$headers = 'From:' .$blog_title. '<'.$emailTo.'>';
				mail($email, $subject, $body, $headers);
			}

			$emailSent = true;

		}
} ?>

<?php get_header(); ?>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/contact-form.js"></script>
<div id="content">
<?php echo $emailTo;
if(isset($emailSent) && $emailSent == true) { ?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="entry_content">
        <p class="successbox"><strong><?php _e('Thanks!', 'aerial'); ?></strong> <p><?php _e('Your email was successfully sent.', 'aerial'); ?></p>
    </div>
</div>
<?php } else { ?>

	<?php if (have_posts()) : while (have_posts()) : the_post();?>
	
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="post_header">
			<h1 class="post_title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'aerial' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
	 	</div><!-- .post_header -->

	<div class="entry_content">	
		<?php the_content(); ?>
		
		<?php if(isset($hasError) ) { ?>
			<p class="errorbox"><?php _e('There was an error submitting the form.', 'aerial'); ?><p>
		<?php } ?>
	
		<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
			<p><label for="contactName"><?php _e('Name', 'aerial'); ?> <span class="required">*</span></label>
				<input type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="requiredField" />									
				<?php if($nameError != '') { ?>
                    <span class="errorbox"><?php echo $nameError;?></span>
                <?php } ?>
            </p>
				
				<p><label for="email"><?php _e('Email', 'aerial'); ?> <span class="required">*</span></label>
					<input type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="requiredField email" />
					<?php if($emailError != '') { ?>
						<span class="errorbox"><?php echo $emailError;?></span>
					<?php } ?>
				</p>
	
         		<p><label for="subject"><?php _e('Subject', 'aerial'); ?> <span class="required">*</span></label>
					<input type="text" name="subject" id="subject" value="<?php if(isset($_POST['subject'])) echo $_POST['subject'];?>" class="requiredField subject" />
					<?php if($subjectError != '') { ?>
						<span class="errorbox"><?php echo $subjectError;?></span> 
					<?php } ?>
				</p>
    			
				<p class="textarea"><label for="commentsText"><?php _e('Comments', 'aerial'); ?> <span class="required">*</span></label>
					<textarea name="comments" id="commentsText" rows="20" cols="30" class="requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
					<?php if($commentError != '') { ?>
						<span class="errorbox"><?php echo $commentError;?></span> 
					<?php } ?>
				</p>
				<p class="inline"><label for="sendCopy"><?php _e('Send a copy to yourself', 'aerial'); ?></label><input type="checkbox" name="sendCopy" id="sendCopy" value="true"<?php if(isset($_POST['sendCopy']) && $_POST['sendCopy'] == true) echo ' checked="checked"'; ?> /></p>
                
				<p class="screenReader"><label for="checking" class="screenReader"><?php _e('Leave this enpty', 'aerial'); ?></label><input type="text" name="checking" id="checking" class="emptyField screenReader" value="" />
                	<?php if($captchaError != '') { ?>
						<span class="errorbox"><?php echo $captchaError;?></span> 
					<?php } ?>
                    </p>
                    
				<p class="form-submit"><input type="hidden" name="submitted" id="submitted" value="true" /><button type="submit">Email me &raquo;</button></p>
		</form>
			</div><!-- .entry-content -->
				<?php edit_post_link( __( 'Edit', 'aerial' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>

</div><!-- #post-<?php the_ID(); ?> -->
	
		<?php endwhile; ?>
	<?php endif; ?>
<?php } ?>
		</div><!-- #content -->
		<?php get_sidebar(); ?>
	</div><!-- #container -->
<?php get_footer(); ?>
